#include <iostream>

using namespace std;

int main()
{
    long int N, i, j, k, pr;
    cin >> N;
    int niz[N], max=0;
    for(i=0; i<N; i++)
    {
        cin >> niz[i];
        if (niz[i]>max) max=niz[i];
    }

    if(N==2)
    {
        pr=niz[0];
        niz[0]=niz[1];
        niz[1]=pr;
        goto print;
    }

    for(j=max; j>0; j--)
    {
        for(i=0; i<N; i++)
        {
            if(niz[i]!=j)
            {
                for(k=i; k<N; k++)
                {
                    if(j==niz[k])
                    {
                        pr=niz[k];
                        niz[k]=niz[i];
                        niz[i]=pr;
                        goto print;
                    }
                }
            }
        }
    }

    print:
    for(i=0; i<N; i++)
    {
        cout << niz[i] << " ";
    }
}